SmilesParseOps Namespace Reference

## Functions

void | CheckRingClosureBranchStatus (RDKit::Atom *atom, RDKit::RWMol *mp)
void | ReportParseError (const char *message, bool throwIt=true)
void | CleanupAfterParseError (RDKit::RWMol *mol)
void | AddFragToMol (RDKit::RWMol *mol, RDKit::RWMol *frag, RDKit::Bond::BondType bondOrder=RDKit::Bond::UNSPECIFIED, RDKit::Bond::BondDir bondDir=RDKit::Bond::NONE)
RDKit::Bond::BondType | GetUnspecifiedBondType (const RDKit::RWMol *mol, const RDKit::Atom *atom1, const RDKit::Atom *atom2)
void | CloseMolRings (RDKit::RWMol *mol, bool toleratePartials)
void | SetUnspecifiedBondTypes (RDKit::RWMol *mol)
void | AdjustAtomChiralityFlags (RDKit::RWMol *mol)
void | CleanupAfterParsing (RDKit::RWMol *mol)
void | parseCXExtensions (RDKit::RWMol &mol, const std::string &extText, std::string::const_iterator &pos)
void | ClearAtomChemicalProps (RDKit::Atom *atom)
| removes formal charge, isotope, etc. Primarily useful for QueryAtoms More...

## Function Documentation

## AddFragToMol()

void SmilesParseOps::AddFragToMol | ( | RDKit::RWMol * | mol,
|  | RDKit::RWMol * | frag,
|  | RDKit::Bond::BondType | bondOrder = `RDKit::Bond::UNSPECIFIED`,
|  | RDKit::Bond::BondDir | bondDir = `RDKit::Bond::NONE`
| ) |  |

## AdjustAtomChiralityFlags()

void SmilesParseOps::AdjustAtomChiralityFlags | ( | RDKit::RWMol * | mol | ) |

## CheckRingClosureBranchStatus()

void SmilesParseOps::CheckRingClosureBranchStatus | ( | RDKit::Atom * | atom,
|  | RDKit::RWMol * | mp
| ) |  |

## CleanupAfterParseError()

void SmilesParseOps::CleanupAfterParseError | ( | RDKit::RWMol * | mol | ) |

## CleanupAfterParsing()

void SmilesParseOps::CleanupAfterParsing | ( | RDKit::RWMol * | mol | ) |

## ClearAtomChemicalProps()

void SmilesParseOps::ClearAtomChemicalProps | ( | RDKit::Atom * | atom | ) |

removes formal charge, isotope, etc. Primarily useful for QueryAtoms

## CloseMolRings()

void SmilesParseOps::CloseMolRings | ( | RDKit::RWMol * | mol,
|  | bool | toleratePartials
| ) |  |

## GetUnspecifiedBondType()

RDKit::Bond::BondType SmilesParseOps::GetUnspecifiedBondType | ( | const RDKit::RWMol * | mol,
|  | const RDKit::Atom * | atom1,
|  | const RDKit::Atom * | atom2
| ) |  |

## parseCXExtensions()

void SmilesParseOps::parseCXExtensions | ( | RDKit::RWMol & | mol,
|  | const std::string & | extText,
|  | std::string::const_iterator & | pos
| ) |  |

## ReportParseError()

void SmilesParseOps::ReportParseError | ( | const char * | message,
|  | bool | throwIt = `true`
| ) |  |

## SetUnspecifiedBondTypes()

void SmilesParseOps::SetUnspecifiedBondTypes | ( | RDKit::RWMol * | mol | ) |